.main {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 100%;
}
.main-nav {
    min-width: 80px;
    background: var(--bg-dark);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.main-content-wrapper {
    width: 100%;
}
.main-content-header {
    padding: 12px;
    height: var(--main-header-height);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.main-header-left {
    display: flex;
    flex-direction: row;
}
.main-header-right {
    display: flex;
    flex-direction: row;
    gap: 16px;
    align-items: center;
}
.main-header-btn {
    color: var(--headline-color);
    flex: 1;
    height: 100%;
}
.main-coin-btn {
    display: flex;
    flex-direction: row;
    gap: 6px;
    justify-content: center;
    align-items: center;
}
.main-coin-btn > img {
    height: 20px;
    opacity: 1;
    transition-duration: 0.2s;
}
.main-coin-btn:hover > span {
    color: var(--headline-color-hover);
}
.main-coin-btn:hover > img {
    opacity: 0.8;
}
.main-coin-btn > span {
    transition-duration: 0.2s;
    color: var(--headline-color);
}
.main-profile-btn:hover > img {
    opacity: 0.8;
}
.main-profile-btn > img {
    height: 28px;
    opacity: 1;
    transition-duration: 0.2s;
}
.main-balance {
    display: flex;
    flex-direction: column;
}
.main-balance > span:nth-child(1) {
    color: var(--yellow);
    font-size: 12px;
}
.main-balance > span:nth-child(2) {
    color: var(--headline-color);
}
.main-content-body {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.bg-absolute {
    position: absolute;
    width: 100%;
    opacity: 0.08;
    object-fit: cover;
    height: 70vh;
    z-index: -1;
    filter: blur(25px);
    background:
        linear-gradient(to top, var(--bg-main), transparent 20%),
        url("https://media.cnn.com/api/v1/images/stellar/prod/170407220916-04-iconic-mountains-matterhorn-restricted.jpg?q=w_2512,h_1413,x_0,y_0,c_fill/w_1280");
}
.chart-container {
    width: 100%;
    position: relative;
    height: calc(100vh - var(--main-header-full-size));
}
.chart-container::before {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    content: '';
    z-index: -2;
    background:
            linear-gradient(transparent calc(100% - 80px), var(--bg-main) calc(100% - 60px)),
            linear-gradient(0deg, transparent calc(100% - 45px), var(--bg-main) calc(100% - 35px)),
            linear-gradient(90deg, transparent calc(100% - 75px), var(--bg-main) calc(100% - 60px)),
            url("../images/graphbg.svg") repeat;
}
#chart-container {
    width: 100%;
    height: 100%;
}
.cover-block {
    right: 0;
    left: 0;
    bottom: 0;
    height: 16px;
    position: absolute;
    background: var(--bg-main);
}
.main-controls {
    margin-top: 32px;
    width: 178px;
    padding: 0 12px 0 5px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    max-height: calc(100vh - var(--main-header-full-size) - 52px);
}
.custom-input-control {
    padding: 8px 12px;
    border-radius: var(--border-radius);
    background: var(--block-darker);
    border: var(--border-size-solid) var(--block-light);
}
.custom-input-control > span {
    color: #70808c;
    font-size: 12px;
}
.custom-input-control > input {
    padding: 6px 0 2px 0;
    color: var(--headline-color);
}
.plus-minus-controls {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 8px;
}
.plus-minus-controls > button {
    flex: 1;
    font-size: 18px;
    background: var(--block-main);
    padding: 6px;
    border-radius: var(--border-radius);
    color: var(--headline-color);
    transition-duration: 0.2s;
}
.plus-minus-controls > button:hover {
    background: var(--block-darker);
}
.main-controls-element {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.btn-control {
    border-radius: var(--border-radius);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 14px 0;
    gap: 8px;
    transition-duration: 0.2s;
}
.btn-control > img {
    height: 20px;
}
.btn-control > span {
    color: var(--headline-color);
    font-weight: bold;
}
.possible-outcome {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 4px;
}
.possible-outcome > span:nth-child(1) {
    color: #70808c;
    font-size: 14px;
}
.possible-outcome > span:nth-child(2) {
    color: var(--headline-color);
}
.possible-outcome > span:nth-child(3) {
    color: var(--headline-color);
}
.main-nav-logo {
    display: flex;
    justify-content: center;
    align-items: center;
    height: var(--main-header-full-size);
}
.nav-btn {
    display: flex;
    flex-direction: column;
    gap: 2px;
    justify-content: center;
    align-items: center;
}
.nav-btn > svg {
    height: 28px;
    width: 28px;
    transition: color 0.2s;
}
.nav-btn > span {
    font-size: 12px;
    transition-duration: 0.2s;
}
.main-nav-top {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
}
.nav-btn:hover {
    color: var(--headline-color);
}
.main-nav-bottom {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 12px;
}
.main-nav-online {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;
}
.main-nav-online > span:nth-child(1) {
    color: var(--headline-color);
}
.main-nav-online > span:nth-child(2) {
    font-size: 12px;
}
.plus-minus-controls > button:disabled,
.plus-minus-controls > button[disabled] {
    background: var(--block-darker);
    cursor: not-allowed;
}
.modal-left-container {
    position: absolute;
    left: 75px;
    opacity: 0;
    background: rgba(0, 0, 0, 0.81);
    z-index: 10;
    width: 0;
    top: 0;
    bottom: 0;
    transition: opacity 0.2s, width 0s 0.2s;
}
.modal-left-container-active {
    transition: opacity 0.2s, width 0s 0s;
    opacity: 1;
    width: calc(100vw - 75px)
}
.modal-left {
    width: 0;
    height: 0;
    overflow: hidden;
    transition: width 0.2s;
}
.modal-left-active {
    width: 250px;
    height: 100vh;
    overflow-y: auto;
    background: var(--bg-dark);
}
.nav-btn-active {
    color: var(--blue);
}
.nav-btn-active:hover {
    color: var(--blue);
}
.modal-headline {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    color: var(--headline-color);
    padding: 15px;
}
.modal-headline > span {
    font-size: 28px;
    font-weight: bold;
}
.modal-close-btn {
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal-close-btn > svg {
    color: var(--headline-color);
    width: 24px;
    height: 24px;
    transition-duration: 0.2s;
}
.modal-close-btn:hover > svg {
    color: var(--headline-color-hover);
}
.nav-block-element {
    display: flex;
    flex-direction: column;
    gap: 2px;
    padding: 8px 10px;
    border-radius: var(--border-radius);
    background: var(--block-darker);
    border: var(--border-size-solid) var(--block-main);
}
.nav-inner {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 0 20px 0 15px;
    height: calc(100% - 75px);
    width: 215px;
}
.nav-block-element > span {
    color: var(--text-color2);
    font-size: 12px;
}
.current-graph {
    display: flex;
    flex-direction: row;
    gap: 6px;
    align-items: center;
    margin-top: 4px;
}
.current-graph > img {
    height: 24px;
    width: 24px;
}
.current-graph > span {
    font-size: 16px;
    color: var(--headline-color);
}
.nav-headline {
    color: var(--headline-color);
    font-size: 20px;
    font-weight: bold;
}
.nav-search {
    padding: 8px 12px;
    border-radius: var(--border-radius);
    background: var(--block-darker);
    border: var(--border-size-solid) var(--block-light);
    color: var(--headline-color);
    font-size: 14px;
}
.nav-search::placeholder {
    color: var(--text-color2);
}
#search-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
    overflow-y: auto;
    max-height: calc(100vh - 230px);
}
.search-found-element {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 6px;
    padding: 8px 10px;
    background: var(--block-main);
    text-decoration: none;
    border-radius: var(--border-radius);
    transition-duration: 0.2s;
    border: var(--border-size-solid) var(--block-main);
}
.search-found-element > img {
    height: 24px;
}
.search-found-element > span {
    color: var(--headline-color);
    margin-top: 2px;
}
.search-mark {
    color: var(--bg-dark);
    background: var(--blue);
}
.search-found-element:hover {
    background: var(--block-darker);
    border: var(--border-size-solid) var(--block-main);
}
.search-found-element-price {
    font-size: 12px;
    color: var(--text-color2) !important;
}
.notification-container {
    position: absolute;
    right: -300px;
    height: 10px;
    width: 300px;
    top: var(--main-header-full-size);
    display: flex;
    flex-direction: column;
    gap: 10px;
    transition: right 0.3s;
}
.notification-container-active {
    right: 12px;
}
.notification-element {
    background: radial-gradient(at 100% 100%, var(--bg-grad-notif-color) 0%, transparent 70%), var(--block-main);
    border: var(--border-size-solid) var(--block-light);
    padding: 8px 12px;
    border-radius: var(--border-radius);
    z-index: 15;
    display: flex;
    flex-direction: column;
    gap: 4px;
    opacity: 0;
    transition: opacity 0.2s;
}
.notification-top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.notification-close {
    padding: 0;
    color: var(--headline-color);
    display: flex;
    justify-content: center;
    align-items: center;
}
.notification-close:hover {
    color: var(--headline-color-hover);
}
.notification-close > svg {
    height: 18px;
    width: 18px;
    transition-duration: 0.2s;
}
.notification-top > span {
    color: var(--headline-color);
    font-size: 18px;
}
.notification-element > span {
    font-size: 14px;
}
.nav-btn-operation {
    width: 100%;
    height: 85px;
    background: var(--block-main);
    display: flex;
    align-items: flex-start;
    justify-content: revert;
    padding: 15px;
    border-radius: var(--border-radius);
    color: var(--headline-color);
    font-size: 16px;
    font-weight: bold;
}
.story-container {
    display: flex;
    flex-direction: column;
    gap: 6px;
    max-height: calc(100vh - 410px);
    overflow-y: auto;
}
.story-element {
    display: flex;
    flex-direction: column;
    gap: 2px;
    background: var(--block-darker);
    border-radius: var(--border-radius);
    padding: 10px 12px 8px 12px;
    border: var(--border-size-solid) var(--block-main);
}
.story-element-top {
    font-size: 12px;
    color: var(--text-color);
}
.story-element-deposit > .story-element-bottom > span:nth-child(1) {
    color: var(--green);
}
.story-element-withdrawal > .story-element-bottom > span:nth-child(1) {
    color: var(--blue);
}
.story-element-bottom {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 4px;
}
.story-element-bottom > span:nth-child(2) {
    color: var(--text-color2);
    font-size: 12px;
}
.profile-info {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}
.profile-info > img {
    height: 50px;
    width: 50px;
    background: var(--block-main);
    border-radius: 50%;
    padding: 10px;
}
.profile-info-text {
    display: flex;
    flex-direction: column;
    gap: 6px;
    justify-content: center;
}
.profile-info-text > span:nth-child(1) {
    color: var(--headline-color);
    font-size: 20px;
    font-weight: bold;
}
.profile-info-text > span:nth-child(2) {
    color: var(--text-color2);
    font-size: 12px;
}
.profile-info-text > span:nth-child(2) > span {
    color: var(--blue);
    margin-left: 4px;
}
.stat-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
}
.stat-element {
    flex: 40%;
    padding: 6px 4px 4px 6px;
    background: var(--block-darker);
    border: var(--border-size-solid) var(--block-main);
    display: flex;
    flex-direction: column;
    border-radius: var(--border-radius);
}
.stat-element > span:nth-child(1) {
    color: var(--text-color2);
    font-size: 12px;
}
.stat-element > span:nth-child(2) {
    color: var(--headline-color);
}
.help-container {
    display: flex;
    flex-direction: row;
    gap: 5px;
}
.help-block {
    flex: 40%;
    background: var(--block-main);
    border-radius: var(--border-radius);
    padding: 6px;
    color: var(--headline-color);
    font-weight: bold;
    text-decoration: none;
    border: var(--border-size-solid) var(--block-main);
    display: flex;
    flex-direction: column;
    position: relative;
    aspect-ratio : 1 / 1;
    transition: background 0.2s;
}
.help-block > span {
    z-index: 2;
}
.help-block > svg {
    z-index: 1;
    position: absolute;
    color: var(--blue);
    height: 70px;
    width: 70px;
    right: 0;
    bottom: 0;
    opacity: 0.4;
    filter: blur(4px);
}
.help-block:hover {
    background: var(--block-darker);
}
.study-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.study-element {
    position: relative;
    padding: 8px;
    border-radius: var(--border-radius);
    height: 70px;
    text-decoration: none;
    background: var(--bg-main);
    overflow: hidden;
}
.study-element > span {
    color: var(--headline-color);
    text-shadow: 2px 2px 4px black;
    display: block;
    width: 70%;
    z-index: 2;
    position: absolute;
    font-weight: bold;
    font-size: 18px;
}
.study-element > div {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-image: var(--bg-url);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.45;
}
.profile-top {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.profile-bottom {
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: flex-end;
}
.profile-bottom > button {
    padding: 10px 0;
    transition-duration: 0.2s;
    color: var(--headline-color);
    border-radius: var(--border-radius);
}
.deposit-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 5px;
}
.deposit-element {
    color: var(--headline-color);
    background: var(--block-main);
    flex: 40%;
    padding: 12px 0;
    border-radius: var(--border-radius);
    transition-duration: 0.2s;
}
.deposit-element:hover {
    background: var(--blue);
}
.deposit-element-confirm {
    flex: 40%;
    padding: 12px 0;
    border-radius: var(--border-radius);
    transition-duration: 0.2s;
    color: var(--headline-color);
}
.payment-container {
    display: flex;
    flex-direction: column;
    padding: 10px;
    border: var(--border-size-solid) var(--block-main);
    background: var(--block-darker);
    border-radius: var(--border-radius);
    gap: 6px;
}
.pay-method {
    display: flex;
    flex-direction: row;
    gap: 4px;
    color: var(--text-color2);
}
#pay-type2 {
    color: var(--headline-color);
}
.pay-address {
    display: flex;
    flex-direction: column;
}
.pay-address {
    display: flex;
    flex-direction: column;
    padding: 5px 6px 2px 6px;
    border-radius: var(--border-radius);
    background: var(--bg-main);
    border: var(--border-size-solid) var(--block-darker);
}
.pay-address > span:nth-child(1) {
    color: var(--text-color2);
    font-size: 12px;
}
#pay-address {
    color: var(--blue);
    font-size: 14px;
}
.pay-sum {
    display: flex;
    flex-direction: column;
}
.pay-your-id {
    display: flex;
    flex-direction: row;
    font-size: 12px;
    gap: 4px;
    padding-bottom: 8px;
    border-bottom: var(--border-size-dashed) var(--block-main);
}
.pay-your-id > span:nth-child(1) {
    color: var(--text-color2);
}
.pay-your-id > span:nth-child(2) {
    color: var(--blue);
}
.nav-headline-mark {
    color: var(--text-color2);
    font-size: 12px;
    margin: -8px 0 0 0;
}
.form-pay {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.confirmation-pay {
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.nav-btn-operation {
    position: relative;
    overflow: hidden;
}
.nav-btn-operation > span {
    z-index: 1;
    text-shadow: 2px 2px 4px black;
}
.nav-btn-operation::before {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    content: '';
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.75;
    z-index: 0;
}
.nav-btn-deposit::before {
    background-image: url("../images/deposit.jpg");
}
.nav-btn-withdrawal::before {
    background-image: url("../images/withdrawal.jpg");
}
.home-header {
    display: flex;
    width: 70%;
    height: 50px;
    padding: 20px 0;
    flex-direction: row;
    justify-content: space-between;
    margin: 0 auto;
}
.home-header-left {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
}
.home-header-left > a > img {
    height: 45px;
}
.home-header-link {
    color: var(--text-color);
    text-decoration: none;
    transition-duration: 0.2s;
}
.home-header-link:hover {
    color: var(--headline-color);
}
.btn-log-reg {
    padding: 12px 20px;
    border-radius: var(--border-radius);
    color: var(--headline-color);
    transition: background 0.2s;
}
.home-header-right{
    display: flex;
    flex-direction: row;
    gap: 12px;
    align-items: center;
}
.home-wrapper {
    width: 70%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
}
.home-intro {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.home-intro-left {
    display: flex;
    flex-direction: column;
    height: calc(100vh - 90px);
    background-size: 55%;
    justify-content: center;
    gap: 28px;
    position: relative;
    max-width: 45%;
}
.home-intro-right {
    width: 35vw;
    align-self: center;
}
.home-intro-left > span:nth-child(1) {
    color: var(--headline-color);
    font-size: 60px;
    font-weight: bold;
}
.home-intro-left > span:nth-child(2) {
    color: var(--text-color);
    font-size: 24px;
}
.home-intro-btn {
    align-self: flex-start;
    padding: 20px 32px;
    border-radius: var(--border-radius);
    color: var(--headline-color);
    transition-duration: 0.2s;
}
.home-stats {
    margin: 60px 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
}
.home-stats > div {
    flex: 40%;
}
.home-left-block {
    border-radius: 20px;
    background: url("../images/1440.webp") no-repeat 0 / 100% 100%, linear-gradient(137.45deg,#24262d 7.42%,#0e0f12 104.16%);
    aspect-ratio: 1 / 1;
}
.home-right-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
}
.home-right-element {
    border-radius: 20px;
    flex: 40%;
    background: linear-gradient(137.45deg,#24262d 7.42%,#0e0f12 104.16%);
}
.home-stat-element {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding: 25px;
    box-sizing: border-box;
    aspect-ratio: 1 / 1;
}
.home-stat-element > svg {
    height: 24px;
    width: 24px;
    color: var(--blue);
}
.stat-desc {
    display: flex;
    flex-direction: column;
}
.stat-desc > span:nth-child(1) {
    color: var(--headline-color);
    font-size: 36px;
    font-weight: bold;
}
.stat-desc > span:nth-child(2) {
    font-size: 20px;
}
.stat-desc2 {
    display: flex;
    flex-direction: column;
    gap: 6px;
}
.stat-desc2 > span:nth-child(1) {
    color: var(--headline-color);
    font-size: 16px;
    font-weight: bold;
}
.stat-desc2 > span:nth-child(2) {
    font-size: 14px;
}
.home-pros {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
    margin: 60px 0;
}
.home-pros > div {
    flex: 40%;
}
.home-pros-right {
    display: flex;
    flex-direction: row;
    gap: 20px;
    flex-wrap: wrap;
}
.home-pros-left {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
    position: relative;
}
.home-pros-left::before {
    position: absolute;
    z-index: -1;
    content: '';
    background: radial-gradient(rgba(197, 197, 197, 0.1) 0%, transparent 60%);
    height: 600px;
    width: 600px;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}
.home-pros-left > span:nth-child(1) {
    color: var(--headline-color);
    font-size: 44px;
    font-weight: bold;
}
.home-pros-left > span:nth-child(2) {
    font-size: 20px;
}
.home-faq {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
    margin: 60px 0;
    align-items: center;
}
.home-faq-left {
    flex: 1;
}
.home-faq-right {
    height: 550px;
}
.home-faq-left {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.home-faq-left > span {
    color: var(--headline-color);
    font-weight: bold;
    font-size: 40px;
}
.home-faq-element {
    background: linear-gradient(137.45deg,#24262d 7.42%,#0e0f12 104.16%);
    border-radius: 20px;
    padding: 15px 20px;
    display: flex;
    flex-direction: column;
    gap: 6px;
}
.home-faq-element > span:nth-child(1) {
    color: var(--headline-color);
    font-weight: bold;
    font-size: 20px;
}
.modal-payment-confirmation-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--headline-color);
    gap: 10px;
}

.deposit-container-body {
    width: 100%;
    position: relative;
    height: calc(100vh - var(--main-header-full-size));
    display: flex;
    justify-content: center;
    align-items: center;
}
.deposit-element-body {
    padding: 1em;
    border-radius: var(--border-radius);
    background: var(--block-darker);
    border: var(--border-size-solid) var(--block-main);
    display: flex;
    flex-direction: column;
    gap: 1em;
    justify-content: center;
}
.deposit-element-body-top {
    display: flex;
    flex-direction: row;
    gap: 1em;
}
.deposit-element-body-top > img {
    height: 64px;
}
.deposit-element-body-top-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 2px;
}
.deposit-element-body-top-text > span:nth-child(1) {
    font-size: 12px;
}
.deposit-element-body-top-text > span:nth-child(2) {
    font-size: 1.5rem;
    color: var(--headline-color);
}
.svgclasspay {
    height: 32px !important;
    width: 32px !important;
    min-height: 32px !important;
    min-width: 32px !important;
    max-height: 32px !important;
    max-width: 32px !important;
}
.svgclasscontainer {
    display: flex;
    align-items: center;
    max-width: 400px;
}
.deposit-element-body-content {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.deposit-element-body-element {
    display: flex;
    justify-content: space-between;
}
.deposit-element-body-element > span:nth-child(2) {
    color: var(--headline-color);
}
.btn-white {
    background: var(--headline-color);
    color: var(--bg-dark);
}
.btn-white:hover {
    background: var(--text-color);
}
.btn-greeen {
    background: var(--green);
    color: var(--headline-color);
}
.btn-greeen:hover {
    background: var(--green-hover);
}
.btn-body-pay {
    transition-duration: 0.2s;
    padding: 8px;
    border-radius: var(--border-radius);
}

#modal-confirm-img, #modal-confirm-img2 {
    width: 64px;
}
#modal-confirm-sum, #modal-confirm-sum2 {
    font-size: 24px;
    font-weight: bold;
    margin-top: -8px;
}
.deposit-sum {
    color: var(--text-color2);
}
.modal-payment-confirmation-description {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.modal-payment-confirmation-description-item {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    font-size: 12px;
}
.modal-payment-confirmation-description-item > span:nth-child(1) {
    color: var(--text-color);
}
.modal-payment-confirmation-description-item > span:nth-child(2) {
    color: var(--headline-color);
}
.hor-sep {
    height: 1px;
    background: var(--block-light);
}
.pay-notif {
    display: flex;
    flex-direction: row;
    color: var(--headline-color);
    font-size: 14px;
    line-height: 16px;
    border-radius: var(--border-radius);
    border: var(--border-size-solid) var(--block-light);
    padding: 10px;
    gap: 10px;
}
.pay-notif > svg {
    width: 90px;
}
.pay-address-container {
    display: flex;
    flex-direction: column;
    gap: 12px;
    background: var(--block-light);
    border-radius: var(--border-radius);
}
.modal-payment-confirmation-description2 {
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.pay-address-container-in {
    padding: 10px 10px 0 10px;
    display: flex;
    gap: 6px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: -4px;
}
.pay-address-container-in > span:nth-child(1) {
    color: var(--text-color2);
    font-size: 12px;
}
.pay-address-container-in > span:nth-child(2) {
    color: var(--headline-color);
}
.copy-btn {
    transition-duration: 0.2s;
    border-radius: 0 0 var(--border-radius) var(--border-radius);
    padding: 10px;
    color: var(--headline-color);
    font-size: 14px;
}
#payment-address {
    word-break: break-all;
    font-size: 14px;
}
.withdrawal-preview {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}
#withdrawal-img {
    width: 64px;
}
#withdrawal-type {
    font-size: 24px;
    color: var(--headline-color);
}
.withdrawal-form {
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.withdrawal-submit {
    padding: 10px;
    color: var(--headline-color);
    transition-duration: 0.2s;
    border-radius: var(--border-radius);
}
.custom-input-control {
    transition-duration: 0.2s;
}
.custom-input-control:has(> input:focus) {
    border-color: var(--blue);
}
.reg-container {
    right: 0;
    top: 0;
    bottom: 0;
    position: fixed;
    display: flex;
    overflow: hidden;
    width: 0;
    opacity: 0;
    transition: opacity 0.1s, width 0s 0.1s;
    pointer-events: none;
    background: rgba(0, 0, 0, 0.62);
    justify-content: flex-end;
}
.reg-container-active {
    transition: width 0s 0s, opacity 0.1s;
    pointer-events: unset;
    opacity: 1;
    width: 100vw;
}
.reg-container-left {
    width: 0;
    background: var(--bg-main);
    overflow: hidden;
    transition: width 0.15s;
}
.reg-container-active > .reg-container-left {
    width: 340px;
}
.reg-container-wrapper {
    padding: 10px;
}
.login-choice {
    display: flex;
    justify-content: center;
}
.login-choice-btn {
    flex: 1;
    font-size: 16px;
    color: var(--text-color);
    border-bottom: var(--border-size-solid) currentColor;
    padding: 12px;
    font-weight: bold;
    transition-duration: 0.2s;
}
.login-choice-btn-active {
    color: var(--blue);
}
.home-login-container {
    display: flex;
    margin: 20px 0 0 0;
}
.login-container {
    width: 100%;
    display: none;
    flex-direction: column;
    gap: 12px;
}
.login-container-active {
    display: flex;
}
.agree {
    display: flex;
    flex-direction: row;
    gap: 4px;
}
.agree > label {
    color: var(--text-color);
    font-size: 14px;
}
.login-container > input {
    padding: 14px 12px;
    font-size: 16px;
}
.login-container > button {
    padding: 14px 12px;
    font-size: 16px;
}
@media (orientation: portrait) {
    .main-content-body {
        flex-direction: column;
    }
    .chart-container {
        height: calc(100vh - var(--main-header-full-size) - 190px);
    }
    .main {
        height: 100vh;
    }
    .main-controls-element {
        flex-direction: row;
    }
    .main-controls {
        width: unset;
        margin-top: -52px;
        z-index: 8;
        padding: 0 10px 0 10px;
    }
    .btn-control {
        flex: 1;
    }
    .custom-input-control {
        flex: 1;
        display: flex;
        flex-direction: column;
    }
    .plus-minus-controls {
        display: none;
    }
    .custom-input-control {
        width: 150px;
    }
    .possible-outcome {
        width: 100%;
        align-self: center;
    }
    .main-balance {
        justify-content: center;
    }
    .home-header {
        width: 90vw;
        margin: 0 auto;
    }
    .home-header-link {
        display: none;
    }
    .home-wrapper {
        width: 90vw;
        margin: 0 auto;
    }
    .home-intro {
        flex-direction: column;
        gap: 10px;
    }
    .home-intro-left {
        height: auto;
        width: 100%;
        max-width: unset;
        margin: 20px 0;
    }
    .home-intro-left > span:nth-child(1) {
        font-size: 40px;
    }
    .home-intro-left > span:nth-child(2) {
        font-size: 20px;
    }
    .home-intro-right {
        width: 100%;
    }
    .home-intro-btn {
        align-self: stretch;
    }
    .home-stats {
        flex-direction: column;
    }
    .stat-desc > span:nth-child(1) {
        font-size: 24px;
    }
    .stat-desc > span:nth-child(2) {
        font-size: 16px;
    }
    .home-faq-right {
        display: none;
    }
    .home-faq {
        margin: 0;
    }
    .home-pros {
        flex-direction: column;
    }
    .home-footer-mobile {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        width: 90vw;
        border-top: var(--border-size-solid) var(--block-light);
        margin: 0 auto;
        padding: 20px 0;
    }
    .home-footer-link {
        color: var(--headline-color);
        text-decoration: none;
    }
    .footer-right {
    }
    .footer-left {
        display: flex;
        flex-direction: row;
        gap: 10px;
    }
    .home-pros-right {
        flex-direction: column;
    }
    .home-stat-element {
        gap: 6px;
        aspect-ratio: unset;
    }
    .reg-container-wrapper {
        padding: 20px;
    }
    .reg-container-active {
        justify-content: center;
    }
    .reg-container-left {
        transition: width 0s;
        align-self: center;
        border-radius: 12px;
    }
    .reg-container-active > .reg-container-left {
        width: 90vw;
    }
    .reg-headline {
        display: flex;
        justify-content: flex-end;
    }
}
